# tag thrown milk buckets/mushroom stew for processing
execute at @e[type=player, scores={sb.throwMilk=1..}] run execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:milk_bucket"}}, distance=..2, tag=!sb.milkItem] run function slime_b:tag_milk
execute at @e[type=player, scores={sb.throwStew=1..}] run execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:mushroom_stew"}}, distance=..2, tag=!sb.stewItem] run function slime_b:tag_stew

# check thrown buckets for nearby slimes and grow them
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:milk_bucket"}, OnGround:1b}] run execute at @s if entity @e[type=minecraft:slime, distance=..3, tag=!sb.grown, tag=!sb.maxSize, nbt=!{NoAI:1b}] run function slime_b:slime_found
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:mushroom_stew"}, OnGround:1b}] run execute at @s if entity @e[type=minecraft:magma_cube, distance=..3, tag=!sb.grown, tag=!sb.maxSize, nbt=!{NoAI:1b}] run function slime_b:magma_found

# tag slimes that are max size
execute as @e[type=minecraft:slime, tag=!sb.maxSize] run function slime_b:check_size
execute as @e[type=minecraft:magma_cube, tag=!sb.maxSize] run function slime_b:check_size

# manage functions that only run once a second
scoreboard players add second_tick sb.dummy 1
execute if score second_tick sb.dummy matches 20.. run function #slime_b:second